/** @format */
/*
--- Завдання 9
- Умова:
Напишіть програму, яка буде обчислювати різницю між двома датами в днях. 
Користувач має ввести дві дати, а програма повинна обчислити і вивести різницю в днях між ними.

- Приклад:
Введіть першу дату (у форматі yyyy-mm-dd): 2022-01-01
Введіть другу дату (у форматі yyyy-mm-dd): 2022-02-01
Різниця між датами: 31 днів
*/

const oneDate = new Date(prompt("Введіть першу дату (у форматі yyyy-mm-dd)"));
const twoDate = new Date(prompt("Введіть другу дату (у форматі yyyy-mm-dd):"));

const time = Math.abs(oneDate - twoDate);

const res = Math.ceil(time / (1000 * 60 * 60 * 24));

console.log(`Різниця між датами: ${res} днів`);
